tt_otype_is_derived(library call)

NAME
tt_otype_is_derived — indicate the otype derivations

SYNOPSIS

#include &<Tt/tt_c.h>
int tt_otype_is_derived(
const char *derivedotype,
const char *baseotype);

DESCRIPTION

The tt_otype_is_derived function specifies whether the derived otype is derived directly or indirectly from the base otype.

The derivedotype argument is the specified derived otype. The baseotype argument is the specified base otype.

RETURN VALUE

Upon successful completion, the tt_otype_is_derived function returns 1 if the derivedotype is derived directly or indirectly from baseotype; otherwise, it returns zero.

The application can use tt_int_error(3) to extract one of the following Tt_status values from the returned integer:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_OTYPE
    The specified object type is not the name of an installed object type.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_otype_deriveds_count(3), tt_otype_base(3), tt_otype_derived(3), tt_spec_type(3), tt_message_otype(3), tt_int_error(3).